## Package org.w3c.tools.sexpr

Interface Summary
Readtable | An interface for read tables.
SExpr | Interface for all new s-expression subtypes.
SExprParser | An interface for all dispatched "sub-parsers."
SExprStream | An interface for a full s-expression parser.

Class Summary
Cons | Basic class for implementing linked lists a la Lisp.
DoubleFix |
SimpleReadtable | Basic implementation of the Readtable interface, a dispatch table.
SimpleSExprStream | Basic implementation of the SExprStream parser interface.
Symbol | Base class for lisp-like symbols.

Exception Summary
SExprParserException | An exception class for syntax errors detected during s-expression parsing.